@import "~bootstrap/scss/functions";

// Duke colors
$blue: #012169;
$dark-blue: #005587;
$shale-blue: #0577b1;
$light-blue: #dbedf2;
$dark-gray: #464343;
$body-text: #262626;
$medium-gray: #666666;
$between-med-light-gray: #b5b5b5;
$light-gray: #e5e5e5;
$off-white: #f3f2f1;
$yellow: #ffd960;
$orange: #c84e00;
$light-green: #a1b70d;
$white: #ffffff;

$navbar-dark-color: $blue;
$navbar-dark-toggler-border-color: $white;

// Adjust the grid breakpoints to make the max width wider for desktop
$grid-breakpoints: (
  // Extra small screen / phone
  xs: 0,
  // Small screen / phone
  sm: 576px,
  // Medium screen / tablet
  md: 768px,
  // Large screen / desktop
  lg: 992px,
  // Extra large screen / wide desktop
  xl: 1300px,
  // Extra extra large screen / extra wide desktop
  xxl: 1440px
);

$container-max-widths: (
  sm: 540px,
  md: 100%,
  lg: 960px,
  xl: 1220px,
  xxl: 1340px,
);

// Import Google fonts
// Update from 06/21/22: Import of the Google fonts now happens in theme.js and LayoutBase.js
// @import url("https://fonts.googleapis.com/css2?family=Merriweather:ital,wght@0,300;0,700;1,300;1,700&family=Open+Sans:ital,wght@0,300;0,400;0,600;0,700;1,400;1,700&display=swap");

$font-sans-serif: "Open Sans", Arial, Helvetica, sans-serif;
$font-serif: "Merriweather", Georgia, serif;
$font-heading: $font-sans-serif;

$link-color: $shale-blue;

$enable-responsive-font-sizes: true;

$link-decoration: none;

$line-height-base: 1.7;
$line-height-body-paragraph: 1.9;

// Spacer and gutter override
$spacer: 1.1em;
$grid-gutter-width: 1.7rem;

$navbar-toggler-focus-width: 0;

// Setting this to false to fix issue with page links scrolling to a position further down the page instead of going to the top
// Fix from Stackoverflow: https://stackoverflow.com/questions/66528483/change-gatsby-link-behaviour-stop-scroll-animation-on-page-change
$enable-smooth-scroll: false;

// Import custom mixins..
@import "../src/components/_utils/mixins.scss";

// Import Bootstrap essential variables and functions
@import "~bootstrap/scss/variables";
@import "~bootstrap/scss/variables-dark";
@import "~bootstrap/scss/mixins";
